Vérifier MySQL et Gambas3

Soumis par lysbleu le jeu 05/07/2018 - 14:36

Bonjour,
Sur un ordinateur neuf, j'ai installé Ubuntu 18 04 1, puis MySQL et Gambas3.
Avant d'installer Laurux, je voudrais vérifier si MySQL et Gambas3 sont bien installés.
J'ai installé MySQL avec Synaptic, ensuite avec la commande "GRANT ALL PRIVILEGES ON"etc... j'obtiens la réponse "Query OK, 0 rows affected, 1 warning. Même si je ne sais pas où aller pour lire ce "warning", j'imagine que MySQL est bien installé.
J'ai installé Gambas 3 avec PPA et ensuite Synaptic. Mais comment faire pour vérifier si Gambas3 est bien installé ?

Avec la commande "mysqld --version" j'obtiens la réponse :
Version : 14.14 Distrib 5.7.22 for Linux (x86_64) using Editline wrapper.
Mais avec la commande "sudo systemctl start mysql", MySQL ne démarre pas !
En revanche, Gambas 3.11.2 s'ouvre mais avec un message :
"Gtk-Message : Failed to load module "canberra-gtk-module".
Donc ni MySQL, ni Gambas 3 ne semblent prêts à accueillir Laurux !

Bonjour Maguer, merci pour ces précisions ! J'ai installé Laurux 3.68.2 j'ai rempli la page de configuration de MySQL. J'obtiens dans le répertoire home les trois icônes :

trois icones

L'icône du milieu contient le lanceur qui fonctionne et qui ouvre bien Laurux.

Je n'ai pas trouvé comment copier ce lanceur dans la barre verticale à gauche de l'écran sous Ubuntu 18.04.1 (il me semble que c'était plus simple sous Ubuntu 16.04.)

Cette installation de Laurux, réussie sans problèmes, alors que les versions précédentes ont été problématiques, démontrent l'excellent travail de l'équipe de bénévoles dans la mise au point de la version 3.68.2. Un grand merci !

Maintenant je dois faire la migration des données à partir de l'ancien ordinateur vers le nouveau, par l'intermédiaire d'un disque externe. J'imagine que je devrai copier le fichier de sauvegarde Laurux01.sql qui se trouve dans un répertoire "SAUVLAURUX" dans l'ancien ordinateur, et coller ce fichier dans le nouvel ordinateur, mais dans quel répertoire ?  L'ancien ordinateur était resté sous Ubuntu 16.04 mais avait été mis à jour vers Laurux 3.68.2. Merci d'avance pour votre aide...